﻿using Infragistics.Olap;
using Infragistics.Olap.FlatData;
using System;
using System.Collections.Generic;
using System.Collections.Specialized;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XamPivotGridEditTest
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            FlatDataSource fds = layoutRoot.Resources["dataSource"] as FlatDataSource;
            fds.Measures.CollectionChanged += Measures_CollectionChanged;
        }

        private void Measures_CollectionChanged(object sender, System.Collections.Specialized.NotifyCollectionChangedEventArgs e)
        {
            switch (e.Action)
            {
                case NotifyCollectionChangedAction.Add:
                    foreach (IMeasureViewModel mvm in e.NewItems)
                    {
                        this.pivotGrid.EditSettings.EditableMeasures.Add(mvm.Measure);
                    }
                    break;

                case NotifyCollectionChangedAction.Remove:
                    foreach (IMeasureViewModel mvm in e.OldItems)
                    {
                        this.pivotGrid.EditSettings.EditableMeasures.Remove(mvm.Measure);
                    }

                    break;
            }
        }
    }
}
